Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::Dimension::iterator Struct Reference

An iterator class, so that you can iterate over coordinates in a dimensions using a range-based for loop. More...

`#include <HalideBuffer.h>`

## Public Member Functions
int | operator* () const
bool | operator!= (const iterator &other) const
iterator & | operator++ ()

## Public Attributes
int | val

## Detailed Description

template<typename T = void, int Dims = AnyDims, int InClassDimStorage = (Dims == AnyDims ? 4 : std::max(Dims, 1))>
struct Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::Dimension::iterator

An iterator class, so that you can iterate over coordinates in a dimensions using a range-based for loop.

Definition at line 603 of file HalideBuffer.h.

## Member Function Documentation

## ◆ operator*()

template<typename T = void, int Dims = AnyDims, int InClassDimStorage = (Dims == AnyDims ? 4 : std::max(Dims, 1))>

int Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::Dimension::iterator::operator* | ( |  | ) | const
| inline

Definition at line 605 of file HalideBuffer.h.

## ◆ operator!=()

template<typename T = void, int Dims = AnyDims, int InClassDimStorage = (Dims == AnyDims ? 4 : std::max(Dims, 1))>

bool Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::Dimension::iterator::operator!= | ( | const iterator & | other | ) | const
| inline

Definition at line 608 of file HalideBuffer.h.

References Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::Dimension::iterator::val.

## ◆ operator++()

template<typename T = void, int Dims = AnyDims, int InClassDimStorage = (Dims == AnyDims ? 4 : std::max(Dims, 1))>

iterator & Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::Dimension::iterator::operator++ | ( |  | ) |
| inline

Definition at line 611 of file HalideBuffer.h.

## Member Data Documentation

## ◆ val

template<typename T = void, int Dims = AnyDims, int InClassDimStorage = (Dims == AnyDims ? 4 : std::max(Dims, 1))>

int Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::Dimension::iterator::val

Definition at line 604 of file HalideBuffer.h.

Referenced by Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::Dimension::iterator::operator!=().

The documentation for this struct was generated from the following file:

- src/runtime/HalideBuffer.h